<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.messaging-activemq.server.cluster-connection" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="allow-direct-connections-only,call-failover-timeout,call-timeout,check-period,cluster-connection-address,confirmation-window-size,connection-ttl,connector-name,discovery-group,initial-connect-attempts,max-hops,max-retry-interval,message-load-balancing-type,min-large-message-size,notification-attempts,notification-interval,producer-window-size,reconnect-attempts,retry-interval,retry-interval-multiplier,static-connectors,use-duplicate-detection"/>
        <elem name="addr-params" value="profile,subsystem,server,cluster-connection"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="confirmation-window-size" nillable="true" stability="default"/>
        <param name="cluster-connection" feature-id="true"/>
        <param name="notification-attempts" nillable="true" stability="default"/>
        <param name="producer-window-size" nillable="true" stability="default"/>
        <param name="retry-interval" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="call-timeout" nillable="true" stability="default"/>
        <param name="connection-ttl" nillable="true" stability="default"/>
        <param name="min-large-message-size" nillable="true" stability="default"/>
        <param name="max-hops" nillable="true" stability="default"/>
        <param name="discovery-group" nillable="true" stability="default"/>
        <param name="check-period" nillable="true" stability="default"/>
        <param name="max-retry-interval" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="allow-direct-connections-only" nillable="true" stability="default"/>
        <param name="reconnect-attempts" nillable="true" stability="default"/>
        <param name="use-duplicate-detection" nillable="true" stability="default"/>
        <param name="message-load-balancing-type" nillable="true" stability="default"/>
        <param name="cluster-connection-address" stability="default"/>
        <param name="notification-interval" nillable="true" stability="default"/>
        <param name="static-connectors" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="retry-interval-multiplier" nillable="true" stability="default"/>
        <param name="connector-name" stability="default"/>
        <param name="initial-connect-attempts" nillable="true" stability="default"/>
        <param name="call-failover-timeout" nillable="true" stability="default"/>
    </params>
</feature-spec>